---
pageid: platform-web
title: Web Development
layout: docs
permalink: /docs/platforms/web/
---

The development of modern websites makes use of both server-side and client-side web technologies.
Nuclide makes web developers more productive in this process.

* TOC
{:toc}

## Server-side Development

[Hack](/docs/languages/hack) has first-class support in Nuclide. In conjunction with
[HHVM](http://docs.hhvm.com), Hack offers quick development and testing with the comfort of
[type safety](https://docs.hhvm.com/hack/typechecker/introduction). Nuclide enhances this by
utilizing Hack's information to deliver developer productivity features such as
[Autocomplete](/docs/languages/hack/#features__autocomplete) and
[inline error checking](/docs/languages/hack/#features__code-diagnostics).

If you are a [PHP](http://php.net) developer, Nuclide has [support](/docs/languages/other/#php) for that as well.

## Client-side Development

[Flow](/docs/languages/flow) has first-class support in Nuclide. Flow gives you
[type safety](http://flowtype.org) as you develop, and Nuclide uses the information provided by
Flow to enhance developer productivity. This includes
[Jump to Definition](/docs/languages/flow/#jump-to-definition) and
[Type Hinting](/docs/languages/flow/#type-hinting).

If you are a [JavaScript](https://developer.mozilla.org/en-US/docs/Web/JavaScript) developer,
Nuclide has [support](/docs/languages/other/#javascript) for that as well.

## Scripting

Nuclide supports many languages to help you write your scripts quicker and error-free. With
first-class support for [Hack](/docs/languages/hack) and [Flow](/docs/languages/flow), along
with support for [C++](/docs/languages/cpp), Nuclide make you more productive in your script
writing.
